<script lang="ts">
    import type { ZXCVBNResult } from 'zxcvbn'

    export let results: ZXCVBNResult

    $: title = [results.feedback.warning, ...results.feedback.suggestions]
        .filter(Boolean)
        .join('. ')
</script>

<meter min="0" low="2" optimum="4" max="4" value={results.score} {title}
    >Password strength: {results.score}/4</meter
>

<style lang="postcss">
    meter {
        @apply w-full h-2 rounded-lg bg-gray-400 my-2;
    }
</style>
